BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- pair() : bm::pair< First, Second >
- pair_type : bm::interval_enumerator< BV >
- params : bm::pointer_pool_array , bm::tmatrix< T, ROWS, COLS >
- parent_type : bm::compressed_buffer_collection< BV > , bm::deserializer< BV, DEC > , bm::serial_stream_iterator< DEC, BLOCK_IDX > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- pc_vector_ : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- pc_vector_stat_ : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- plain() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- plain_octet_matrix_type : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- plain_ptrs_ : bm::sparse_vector_serial_layout< SV >
- plains() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- plane_size_ : bm::sparse_vector_serial_layout< SV >
- pointer : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::enumerator , bm::bvector< Alloc >::insert_iterator , bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- pointer_pool_array() : bm::pointer_pool_array
- pool_ : bm::basic_bmatrix< BV > , bm::deserializer< BV, DEC > , bm::set2set_11_transform< SV > , bm::sparse_vector_deserializer< SV >
- pop() : bm::pointer_pool_array
- pos : bm::bvector< Alloc >::iterator_base::bitblock_descr , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- position_ : bm::bvector< Alloc >::iterator_base
- position_type : bm::encoder
- prepare_and_sub_aggregator() : bm::sparse_vector_scanner< SV >
- prepare_shift_right_and() : bm::aggregator< BV >
- print_duration_map() : bm::chrono_taker
- process_bit_blocks_and() : bm::aggregator< BV >
- process_bit_blocks_or() : bm::aggregator< BV >
- process_bit_blocks_sub() : bm::aggregator< BV >
- process_bookmark() : bm::serializer< BV >
- process_gap_blocks_and() : bm::aggregator< BV >
- process_gap_blocks_or() : bm::aggregator< BV >
- process_gap_blocks_sub() : bm::aggregator< BV >
- process_shift_right_and() : bm::aggregator< BV >
- ptr : bm::bvector< Alloc >::iterator_base::bitblock_descr , bm::bvector< Alloc >::iterator_base::dgap_descr , bm::copy_to_array_functor< B >
- ptr_ : bm::serializer< BV >::bookmark_state
- ptr_allocator_type : bm::alloc_pool< BA, PA > , bm::mem_alloc< BA, PA, APool >
- ptr_guard() : bm::ptr_guard< T >
- ptr_sub_blocks : bm::bv_statistics
- push() : bm::pointer_pool_array
- push_back() : bm::bitblock_store_adapter , bm::bitblock_sum_adapter , bm::compressed_collection< Value, BV > , bm::rsc_sparse_vector< Val, SV > , bm::similarity_batch< SDESCR > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- push_back_no_check() : bm::rsc_sparse_vector< Val, SV >
- push_back_no_null() : bm::sparse_vector< Val, BV >
- push_back_null() : bm::sparse_vector< Val, BV >
- put_16() : bm::encoder
- put_24() : bm::encoder
- put_32() : bm::encoder
- put_48() : bm::encoder
- put_64() : bm::encoder
- put_8() : bm::encoder
- put_bit() : bm::bit_out< TEncoder >
- put_bits() : bm::bit_out< TEncoder >
- put_prefixed_array_16() : bm::encoder
- put_prefixed_array_32() : bm::encoder
- put_zero_bit() : bm::bit_out< TEncoder >
- put_zero_bits() : bm::bit_out< TEncoder >